import java.awt.*;
import java.awt.event.*;


public class TypeInMeTextField extends TextField implements ActionListener {

	/**
	 *  WidgetMediator will act as the Mediator for all widgets.
	 */
	private WidgetMediator widgetMediator_;
	private WidgetMediator widgetMediator() { return widgetMediator_; }
	private void widgetMediator( WidgetMediator aWidgetMediator ) { widgetMediator_ = aWidgetMediator; }


    TypeInMeTextField(WidgetMediator aWidgetMediator){
        super("Nickel disables Shadow Button");
        this.widgetMediator(aWidgetMediator);
        this.initialize();
    }
    private void initialize(){
        Font aFont = new Font("Courier",0,18);
        this.setFont(aFont);

        this.addActionListener(this);

        this.setSize(400,30);
        this.setLocation(30,280);

    }

    // ActionEvent for TextField happens when enter is pressed
	public void actionPerformed(ActionEvent ae){
        this.widgetMediator().widgetChanged(this);
	}

}
